﻿@model AHCBL.Dto.Admin.ItemListDto
@{
    ViewBag.Title = "Item List";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">상품 입력</h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <h5>@ViewBag.Message</h5>
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <h5><b><label class="text-black">상품분류</label></b></h5>
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>기본분류</label>
                                        </th>
                                        <td>
                                            @Html.DropDownListFor(m => m.product_id, Model.category_list, new { @class = "form-control bg-white border" })
                                        </td>

                                        <th>
                                            <label>จำนวน</label>
                                        </th>
                                        <td>
                                            <div class="input-group" style="width:200px">
                                                @Html.EditorFor(model => model.amount, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">cnt</span>
                                                </div>
                                            </div>
                                        </td>
                                       @* <th>
                                            <label>매입자</label>
                                        </th>
                                        <td>
                                            <div>
                                                @Html.EditorFor(model => model.buy_name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            </div>

                                        </td>
                                        <th>
                                            <label>Date</label>
                                        </th>
                                        <td>
                                            <div>
                                                @Html.EditorFor(model => model.buy_date, new { htmlAttributes = new { @class = "form-control bg-white border", @autocomplete = "off" } })
                                            </div>
                                        </td>*@
                                    </tr>

                                    <tr><td colspan="8"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "ItemList")'" class="btn btn-light" />
                                        <input type="submit" value="Save" class="btn btn-default" />
                                        <input type="hidden" id="buy_date" name="buy_date" value="2021-01-01" />
                                        <input type="hidden" id="buy_name" name="buy_name" value="system" />
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
<script>
    $(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liCategory").addClass("active");
        $("#meItem").addClass("active");
        $("#start_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd'
        });
    });
</script>
